/*
 * FileService.java January 2003
 *
 * Copyright (C) 2003, Niall Gallagher <niallg@email.com>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free 
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 * MA 02111-1307 USA
 */

package mamba.serve.service;

import simple.http.load.BasicService;
import simple.http.load.LoaderEngine;
import simple.http.serve.FileEngine;
import simple.http.serve.Context;
import simple.http.Response;
import simple.http.Request;

/**
 * This is used so that file objects can be served directly. This
 * uses a <code>FileEngine</code> to serve the referenced files
 * so that content is served quickly and caching is done.
 *
 * @author Niall Gallagher
 */
public class FileService extends BasicService {

   private FileEngine engine;

   public FileService(Context context) {
      super(context);
   }

   public void prepare(LoaderEngine loader, Object data){
      engine = new FileEngine(context);
   }

   public void process(Request req, Response resp) {
      engine.lookup(req.getURI()).handle(req, resp);
   }
}

